# Interface LoadParams<P, S>

#### Type Parameters

- #### P = any

- #### S = {}

#### Hierarchy

- LoadParams

- Defined in RcsbFvStructure/StructureViewers/MolstarViewer/MolstarActionManager.ts:37

#####
Index

### Properties

data?
entryId?
format?
id?
isBinary?
matrix?
params?
props?
reprProvider?
type?
url?

## Properties

### `Optional` data

data?: string | number[]

- Defined in RcsbFvStructure/StructureViewers/MolstarViewer/MolstarActionManager.ts:45

### `Optional` entryId

entryId?: string

- Defined in RcsbFvStructure/StructureViewers/MolstarViewer/MolstarActionManager.ts:38

### `Optional` format

format?: "pdb" | "gro" | "mmcif" | "cifCore" | "pdbqt" | "xyz" | "mol" | "sdf" | "mol2"

- Defined in RcsbFvStructure/StructureViewers/MolstarViewer/MolstarActionManager.ts:42

### `Optional` id

id?: string

- Defined in RcsbFvStructure/StructureViewers/MolstarViewer/MolstarActionManager.ts:46

### `Optional` isBinary

isBinary?: boolean

- Defined in RcsbFvStructure/StructureViewers/MolstarViewer/MolstarActionManager.ts:43

### `Optional` matrix

matrix?: Mat4

- Defined in RcsbFvStructure/StructureViewers/MolstarViewer/MolstarActionManager.ts:40

### `Optional` params

params?: P

- Defined in RcsbFvStructure/StructureViewers/MolstarViewer/MolstarActionManager.ts:48

### `Optional` props

props?: PresetProps

- Defined in RcsbFvStructure/StructureViewers/MolstarViewer/MolstarActionManager.ts:39

### `Optional` reprProvider

reprProvider?: TrajectoryHierarchyPresetProvider<P, S>

- Defined in RcsbFvStructure/StructureViewers/MolstarViewer/MolstarActionManager.ts:47

### `Optional` type

type?: SnapshotType

- Defined in RcsbFvStructure/StructureViewers/MolstarViewer/MolstarActionManager.ts:44

### `Optional` url

url?: string

- Defined in RcsbFvStructure/StructureViewers/MolstarViewer/MolstarActionManager.ts:41

Generated using TypeDoc